Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Interface JdbcCatalogQueryManager

All Superinterfaces
  BusinessSmartComponent, CatalogService, javax.ejb.EJBObject, JdbcCatalogService, Remote, Serializable, Session

Deprecated

    @Deprecated
    public interface JdbcCatalogQueryManager

extends JdbcCatalogService

JDBC-specific `CatalogQueryManager` service implementation.

See Also
  `JdbcCatalogQueryManagerHome`, `JdbcCatalogQueryManagerImpl`

Method Summary
`ProductItemKey[]` | `search(CatalogRequest request, CatalogQuery query)` Deprecated Returns the results of the search peformed using the supplied catalog query object.
`ViewIterator` | `search(CatalogRequest request, CatalogQuery query, int viewSize)` Deprecated Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.
`CategoryKey[]` | `searchCategories(CatalogRequest request, CatalogQuery query)` Deprecated Returns the results of the search peformed using the supplied catalog query object for categories.

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.service.CatalogService
`getCatalogManager`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### search

    ProductItemKey[] search(CatalogRequest request,
                            CatalogQuery query)
                            throws RemoteException,
                                   CatalogException

  Deprecated
  Returns the results of the search peformed using the supplied catalog query object.

  Parameters
    `request` - The catalog request object.
    `catalogQuery` - The catalog query object.
  Returns
    An array of product item keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### searchCategories

    CategoryKey[] searchCategories(CatalogRequest request,
                                   CatalogQuery query)
                                   throws RemoteException,
                                          CatalogException

  Deprecated
  Returns the results of the search peformed using the supplied catalog query object for categories.

  Parameters
    `request` - The catalog request object.
    `catalogQuery` - The catalog query object.
  Returns
    An array of category keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### search

    ViewIterator search(CatalogRequest request,
                        CatalogQuery query,
                        int viewSize)
                        throws RemoteException,
                               CatalogException

  Deprecated
  Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.

  Parameters
    `request` - The catalog request object.
    `catalogQuery` - The catalog query object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns
    A ViewIterator over the product items returned by the search.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.